Runtime

## org.eclipse.gmf.runtime.draw2d.ui.text
Class TextUtilitiesEx

    java.lang.Object
      org.eclipse.draw2d.TextUtilities
          org.eclipse.gmf.runtime.draw2d.ui.text.TextUtilitiesEx

    public class TextUtilitiesEx

extends TextUtilities

Since:
  2.1

Field Summary

Fields inherited from class org.eclipse.draw2d.TextUtilities
`INSTANCE`

Constructor Summary
`TextUtilitiesEx(IMapMode mapmode)` Creates a new instance.

Method Summary
`int` `getAscent(Font font)`
`int` `getDescent(Font font)`
`Dimension` `getStringExtents(java.lang.String s, Font f)`
`Dimension` `getTextExtents(java.lang.String s, Font f)`

Methods inherited from class org.eclipse.draw2d.TextUtilities
`getLargestSubstringConfinedTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextUtilitiesEx

    public TextUtilitiesEx(IMapMode mapmode)

  Creates a new instance.

  Parameters:
    `mapmode` - mapmode to be used for translating measurement units

Method Detail

### getAscent

    public int getAscent(Font font)

  Overrides:
    `getAscent` in class `TextUtilities`

### getDescent

    public int getDescent(Font font)

  Overrides:
    `getDescent` in class `TextUtilities`

### getStringExtents

    public Dimension getStringExtents(java.lang.String s,
                                      Font f)

  Overrides:
    `getStringExtents` in class `TextUtilities`

### getTextExtents

    public Dimension getTextExtents(java.lang.String s,
                                    Font f)

  Overrides:
    `getTextExtents` in class `TextUtilities`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.